<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.tooling.events.task Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.tooling.events.task Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/events/package-tree.html">Prev</a></li>
<li><a href="../../../../../org/gradle/tooling/events/test/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/events/task/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.tooling.events.task</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/OperationDescriptor.html" title="interface in org.gradle.tooling.events"><span class="strong">OperationDescriptor</span></a>
<ul>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskOperationDescriptor.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskOperationDescriptor</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/OperationResult.html" title="interface in org.gradle.tooling.events"><span class="strong">OperationResult</span></a>
<ul>
<li type="circle">org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/FailureResult.html" title="interface in org.gradle.tooling.events"><span class="strong">FailureResult</span></a>
<ul>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskFailureResult.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskFailureResult</span></a> (also extends org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskOperationResult.html" title="interface in org.gradle.tooling.events.task">TaskOperationResult</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/SkippedResult.html" title="interface in org.gradle.tooling.events"><span class="strong">SkippedResult</span></a>
<ul>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskSkippedResult.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskSkippedResult</span></a> (also extends org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskOperationResult.html" title="interface in org.gradle.tooling.events.task">TaskOperationResult</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/SuccessResult.html" title="interface in org.gradle.tooling.events"><span class="strong">SuccessResult</span></a>
<ul>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskSuccessResult.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskSuccessResult</span></a> (also extends org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskOperationResult.html" title="interface in org.gradle.tooling.events.task">TaskOperationResult</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskOperationResult.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskOperationResult</span></a>
<ul>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskFailureResult.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskFailureResult</span></a> (also extends org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/FailureResult.html" title="interface in org.gradle.tooling.events">FailureResult</a>)</li>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskSkippedResult.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskSkippedResult</span></a> (also extends org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/SkippedResult.html" title="interface in org.gradle.tooling.events">SkippedResult</a>)</li>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskSuccessResult.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskSuccessResult</span></a> (also extends org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/SuccessResult.html" title="interface in org.gradle.tooling.events">SuccessResult</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/ProgressEvent.html" title="interface in org.gradle.tooling.events"><span class="strong">ProgressEvent</span></a>
<ul>
<li type="circle">org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/FinishEvent.html" title="interface in org.gradle.tooling.events"><span class="strong">FinishEvent</span></a>
<ul>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskFinishEvent.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskFinishEvent</span></a> (also extends org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskProgressEvent.html" title="interface in org.gradle.tooling.events.task">TaskProgressEvent</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/StartEvent.html" title="interface in org.gradle.tooling.events"><span class="strong">StartEvent</span></a>
<ul>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskStartEvent.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskStartEvent</span></a> (also extends org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskProgressEvent.html" title="interface in org.gradle.tooling.events.task">TaskProgressEvent</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskProgressEvent.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskProgressEvent</span></a>
<ul>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskFinishEvent.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskFinishEvent</span></a> (also extends org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/FinishEvent.html" title="interface in org.gradle.tooling.events">FinishEvent</a>)</li>
<li type="circle">org.gradle.tooling.events.task.<a href="../../../../../org/gradle/tooling/events/task/TaskStartEvent.html" title="interface in org.gradle.tooling.events.task"><span class="strong">TaskStartEvent</span></a> (also extends org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/StartEvent.html" title="interface in org.gradle.tooling.events">StartEvent</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/events/package-tree.html">Prev</a></li>
<li><a href="../../../../../org/gradle/tooling/events/test/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/events/task/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
